Subject: FVWM: Colormap issues

From: Tim Freedom <[email-masked]>
Date: Mon, 30 Sep 2002 18:05:06 -0700 (PDT)

I had mailed about this like a couple of weeks ago, but it doesn't
look like my mail made it to the mailing-list.  In any regard, let
me broach the subject again.  I grabbed an fvwm snapshot (back in 9/16)
and then again 9/26 and compiled them without a hitch, but the colormap
is all freaky on me (gotta love that description :-)  Simply put,
without making any changes to any of my setup files, my emacs and icons
are very different in tone/color.  A case in point, the clamp.xpm is
yellowish in color when it should really be brown.  If I invoke 'xv'
from the command line and look at clamp.xpm, it looks fine (its brownish).
I don't have any "colormap" commands in my .fvwm2rc file (FWIW).

I'll attach a small example of what I'm talking about.  Even the rcalc.xpm
(also noted in the jpg) instead of having a gray edge has a redish one.

I looked at the Changelog to see any mention of 'colormap' and downloaded
a few snapshots in between any mention of that word to see where the
problem started happening for me; here's a summary,

 + snap-20020926: exhibits the same problem (colors look wrong)
 + snap-20020916: exhibits the same problem (colors look wrong)
 + snap-20020904: exhibits the same problem (colors look wrong)
 + snap-20020831: exhibits the same problem (colors look wrong) 
 + snap-20020815: exhibits the same problem (colors look wrong) 
 + snap-20020810: exhibits problems, different form (more faded)
 + snap-20020805: exhibits problems, faded + FvwmPager is green-puke color
 + snap-20020731: exhibits problems, faded + FvwmPager is green-puke color
 + snap-20020720: exhibits problems, faded + FvwmPager is green-puke color
 + snap-20020715: Works great
 + snap-20020501: Works great

So it might be this change that is causing the problem,

--
    2002-07-18  olicha  <olivier.chapuis@fr...>

            * libs/PictureUtils.c (PictureRGBtoPixel):
            (decompose_mask):
            Fixed(??) color allocation for some visuals
--

BTW: the icons noted in this email can be found here,

  http://www.mit.edu/afs/athena/project/windowmanagers/lib/fvwm-new/icons/

  uname -a : SunOS pez 5.7 Generic_106541-19 sun4u
  gcc -v   : gcc version 2.95.2 19991024 (release)

Anyway of reverting back to the "normal" colormap look ?

Regards,

 .tf. (please CC replies)

__________________________________________________
Do you Yahoo!?
New DSL Internet Access from SBC & Yahoo!
http://sbc.yahoo.com
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].